/**
 *  Copyright (c) 2008-2011 Sonatype, Inc. All rights reserved.
 *
 *  This program is licensed to you under the Apache License Version 2.0,
 *  and you may not use this file except in compliance with the Apache License Version 2.0.
 *  You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the Apache License Version 2.0 is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.jira.mock;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Hashtable;
import java.util.Map;
import java.util.Set;
import java.util.Vector;

import org.codehaus.swizzle.jira.Attachment;
import org.codehaus.swizzle.jira.Component;
import org.codehaus.swizzle.jira.Project;
import org.codehaus.swizzle.jira.Version;

public class Database
{

    public Map<String, String> users = new HashMap<String, String>();

    public Set<String> tokens = new HashSet<String>();

    public Map<String, Hashtable<String, Object>> issues = new HashMap<String, Hashtable<String, Object>>();

    public Map<String, Project> projects = new HashMap<String, Project>();

    public Map<String, Map<Attachment, byte[]>> attachments = new HashMap<String, Map<Attachment, byte[]>>();

    public Map<String, Hashtable<String, Object>> userInfo = new HashMap<String, Hashtable<String, Object>>();

    public Map<String, Vector<Component>> components = new HashMap<String, Vector<Component>>();

    public Map<String, Vector<Version>> versions = new HashMap<String, Vector<Version>>();

    public Vector<Hashtable<String, Object>> issueTypes = new Vector<Hashtable<String, Object>>();

    public Vector priorities = new Vector<Hashtable<String, Object>>();

}
