/**
 *  Copyright (c) 2008-2011 Sonatype, Inc. All rights reserved.
 *
 *  This program is licensed to you under the Apache License Version 2.0,
 *  and you may not use this file except in compliance with the Apache License Version 2.0.
 *  You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the Apache License Version 2.0 is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.jira.test;

import java.net.URL;
import java.util.List;

import org.sonatype.jira.AttachmentHandler;
import org.sonatype.jira.JiraXmlRpcProxy;
import org.sonatype.jira.MediatorServlet;
import org.sonatype.tests.http.server.api.TestServlet;

public class JiraXmlRpcTestServlet
extends MediatorServlet
implements TestServlet
{

    private static final long serialVersionUID = 1L;

    public JiraXmlRpcTestServlet( final JiraXmlRpcProxy handler, final URL url, final List<AttachmentHandler> handlers )
    {
        super( handler, url, handlers );
    }

    @Override
    public String getPath()
    {
        return "/*";
    }

}
